import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/rewards_category_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/rewards_category_entity.g.dart';

@JsonSerializable()
class RewardsCategoryEntity {
	late int id = 0;
	late String icon = '';
	late String name = '';

	RewardsCategoryEntity();

	factory RewardsCategoryEntity.fromJson(Map<String, dynamic> json) => $RewardsCategoryEntityFromJson(json);

	Map<String, dynamic> toJson() => $RewardsCategoryEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}